package com.ruoyi.system.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.domain.SysAchievementOverview;
import com.ruoyi.system.mapper.SysAchievementOverviewMapper;
import com.ruoyi.system.service.ISysAchievementOverviewService;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.utils.DateUtils;

@Service
public class SysAchievementOverviewServiceImpl implements ISysAchievementOverviewService
{
    @Autowired
    private SysAchievementOverviewMapper sysAchievementOverviewMapper;

    @Override
    public SysAchievementOverview selectSysAchievementOverviewById(Long id)
    {
        return sysAchievementOverviewMapper.selectSysAchievementOverviewById(id);
    }

    @Override
    public int updateSysAchievementOverview(SysAchievementOverview sysAchievementOverview)
    {
        sysAchievementOverview.setUpdateBy(SecurityUtils.getUsername());
        sysAchievementOverview.setUpdateTime(DateUtils.getNowDate());
        return sysAchievementOverviewMapper.updateSysAchievementOverview(sysAchievementOverview);
    }
}